<?php

/*************************************************************

 File: login.php3
 Author: didi
 Revision: 2.0.1
 Date: 1999/05/28

 This script authenticates the user and displays
 the forwarding/vacation status.
 
 php-mailsetting:
 Copyright 1999 Dietmar Rieder <adrieder@sbox.tu-graz.ac.at>
 
 You should have received a copy of the GNU Public
 License along with this package; if not, write to the
 Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA 02111-1307, USA.

 ***************************************************************/



/*
  Required config file & function library
 */
require("lib/mailsettings-php.lib");
require("config/config.php3");

$default->lang = $lang->select_lang();
require("lang/$default->lang/interface.lang");

/*
  Do not cache the output,
  the page is valid for $expire_time sec's
 */
header("Expires: $default->expire_time");

ignore_user_abort;
error_reporting($default->error_level);

settype($new_addr, "string");
if ((isset($id))) { $auth_ok_file = "$default->auth_ok_file.$id"; }


if (authenticate($username, $bind_passwd)) {

  mt_srand((double)microtime()*1000000);
  $id           = md5(uniqid(mt_rand()));
  $auth_ok_file = "$default->auth_ok_file.$id";
  touch($auth_ok_file);

  $status = CheckStatus($username);

  if (($default->feature_show_mbox_info) &&
      ($mbox_info = GetMboxInfo($username, $bind_passwd))) {       
    $args = "username=$username&size=$mbox_info[Size]&nmsgs=$mbox_info[Nmsgs]&recent=$mbox_info[Recent]&unread=$mbox_info[Unread]";
  }

  include("$default->include_dir/$default->header");
  include("$default->include_dir/$default->status_int");
  include("$default->include_dir/$default->footer");
}
else {
  include("$default->include_dir/$default->header");
  include("$default->include_dir/$default->login_incorrect");
  include("$default->include_dir/$default->footer");
}


?>
