<?php

/*************************************************************

 File: mailboxinfo.php3
 Author: didi
 Revision: 2.0.1
 Date: 1999/05/28

 This script shows the mailbox info of the user.
 Quota, newmail ...
 
 php-mailsetting:
 Copyright 1999 Dietmar Rieder <adrieder@sbox.tu-graz.ac.at>
 
 You should have received a copy of the GNU Public
 License along with this package; if not, write to the
 Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 Boston, MA 02111-1307, USA.

 ***************************************************************/

include("lib/mailsettings-php.lib");
require("config/config.php3");

$default->lang = $lang->select_lang();

require("lang/$default->lang/interface.lang");

settype($size, "integer");
$used = bcdiv($size, ($default->mbox_quota * 1024)/100, 2);
$nice = bcdiv($default->mbox_quota, 1024, 2);
if ($used > $default->qouta_warn) {
  $q_output = "<font color=red><blink>$used % $lang->of $nice Mb</blink><font>";
}
else {
  $q_output = "$used% $lang->of $nice Mb";
}
if ($default->lang == "en") { $locale = "en_GB"; }
if ($default->lang == "de") { $locale = "de"; }
if ($default->lang == "ge") { $locale = "de"; }
setlocale("LC_TIME", "$locale");
$date = strftime("%A, %d.%m.%Y, %H:%M:%S");

include("$default->include_dir/$default->mailbox");
?>
